LiveHelp Online Chat Image
LiveHelp Online Chat Image


Knowledge Base (FAQs)

KB (FAQs) / MetaStock Products / MetaStock Professional / Tutorial / Basic Features

Metastock compatibility with Windows

Is MetaStock Compatible with Windows 9x, NT, ME, 2000 and XP?

MetaStock 6.52: MetaStock version 6.52 was released before Windows 2000, XP and ME existed. There have been changes to these version of Windows that have caused a few incompatibilities as you have discovered. Currently the only fix for this would be to go back to windows 95, 98 or NT, or to upgrade MetaStock. MetaStock 7.0, 7.01, 7.02, 7.03, 7.21, 7.22: You should be using at least 7.03, if using Windows 2000.

MetaStock version 7.XX was released before Windows XP existed. There have been changes to Windows XP that have caused a few incompatibilities as you have discovered. Currently the only fix for this would be to go back to windows 98 or 2000. We are currently working on a version fully compatible with Windows XP and are hoping to have it available summer 2002.


back